[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'StdCtrls' (#lcl)

# TCustomEdit.CMWantSpecialKey

Handles the CM_WANTSPECIALKEY message for the control.

## Declaration

Source position: stdctrls.pp line 832

`protected procedure TCustomEdit.CMWantSpecialKey(`
`var Message: TCMWantSpecialKey`
`); message;`

## Arguments

`Message` |  | Message handled in the method.

## Description

For the Darwin platform/widgetset, the LCL must be prevented from handling the arrow (cursor) keys VK_LEFT, VK_RIGHT, VK_UP, and VK_DOWN. The Result in Message is set to 1 to indicate that these keys have already been handled.